# Type Alias WidgetStateProps

type WidgetStateProps = {
busy?: boolean;
empty?: boolean;
hover?: boolean;
initialized?: boolean;
isNewlyAdded?: boolean;
lastUpdatedTimestamp?: number;
loading?: boolean;
locked?: boolean;
mounted?: boolean;
}

- Defined in jamespot-user-api/src/types/widgets/default.ts:478

##### Index

### Properties

busy?
empty?
hover?
initialized?
isNewlyAdded?
lastUpdatedTimestamp?
loading?
locked?
mounted?

## Properties

### `Optional` busy

busy?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:479

### `Optional` empty

empty?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:484

### `Optional` hover

hover?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:483

### `Optional` initialized

initialized?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:481

### `Optional` isNewlyAdded

isNewlyAdded?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:487

### `Optional` lastUpdatedTimestamp

lastUpdatedTimestamp?: number

- Defined in jamespot-user-api/src/types/widgets/default.ts:486

### `Optional` loading

loading?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:480

### `Optional` locked

locked?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:485

### `Optional` mounted

mounted?: boolean

- Defined in jamespot-user-api/src/types/widgets/default.ts:482